#ifndef id21E0A6F345D24C5D83D3B1F74EC810F7
#define id21E0A6F345D24C5D83D3B1F74EC810F7

#include <string>
#include <vector>
#include <exception>
#include <utility>

namespace duck {
	typedef std::vector<std::vector<std::pair<std::string, std::string>>> XPathBatchResults;

	class ParseError : public std::exception {
	public:
		ParseError ( int parLine, int parColumn, std::string parMessage );
		virtual const char* what ( void ) const noexcept;
	private:
		std::vector<char> m_msg;
	};

	XPathBatchResults xpath_query ( const std::string& parXML, const std::vector<std::string>& parQueries );
} //namespace duck

#endif
